/*
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS HEADER.
 *
 * Copyright 2010 Oracle and/or its affiliates. All rights reserved.
 *
 * Oracle and Java are registered trademarks of Oracle and/or its affiliates.
 * Other names may be trademarks of their respective owners.
 *
 * The contents of this file are subject to the terms of either the GNU
 * General Public License Version 2 only ("GPL") or the Common
 * Development and Distribution License("CDDL") (collectively, the
 * "License"). You may not use this file except in compliance with the
 * License. You can obtain a copy of the License at
 * http://www.netbeans.org/cddl-gplv2.html
 * or nbbuild/licenses/CDDL-GPL-2-CP. See the License for the
 * specific language governing permissions and limitations under the
 * License.  When distributing the software, include this License Header
 * Notice in each file and include the License file at
 * nbbuild/licenses/CDDL-GPL-2-CP.  Oracle designates this
 * particular file as subject to the "Classpath" exception as provided
 * by Oracle in the GPL Version 2 section of the License file that
 * accompanied this code. If applicable, add the following below the
 * License Header, with the fields enclosed by brackets [] replaced by
 * your own identifying information:
 * "Portions Copyrighted [year] [name of copyright owner]"
 *
 * If you wish your version of this file to be governed by only the CDDL
 * or only the GPL Version 2, indicate your decision by adding
 * "[Contributor] elects to include this software in this distribution
 * under the [CDDL or GPL Version 2] license." If you do not indicate a
 * single choice of license, a recipient has the option to distribute
 * your version of this file under either the CDDL, the GPL Version 2 or
 * to extend the choice of license to its licensees as provided above.
 * However, if you add GPL Version 2 code and therefore, elected the GPL
 * Version 2 license, then the option applies only if the new code is
 * made subject to such option by the copyright holder.
 *
 * Contributor(s):
 *
 * Portions Copyrighted 2009 Sun Microsystems, Inc.
 */

/*
 * TypeInferenceOptionsPanel.java
 *
 * Created on Mar 19, 2009, 4:56:32 PM
 */

package org.netbeans.modules.ruby.options;

/**
 *
 * @author Erno Mononen
 */
public class TypeInferenceOptionsPanel extends javax.swing.JPanel {

    /** Creates new form TypeInferenceOptionsPanel */
    public TypeInferenceOptionsPanel() {
        initComponents();
    }

    void setMethods(boolean enabled) {
        methodsCheckBox.setSelected(enabled);
    }

    boolean getMethods() {
        return methodsCheckBox.isSelected();
    }

    void setRdoc(boolean enabled) {
        rdocCheckBox.setSelected(enabled);
    }

    boolean getRdoc() {
        return rdocCheckBox.isSelected();
    }
    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        tiOptionsLabel = new javax.swing.JLabel();
        jSeparator1 = new javax.swing.JSeparator();
        methodsCheckBox = new javax.swing.JCheckBox();
        rdocCheckBox = new javax.swing.JCheckBox();

        tiOptionsLabel.setText(org.openide.util.NbBundle.getMessage(TypeInferenceOptionsPanel.class, "TypeInferenceOptionsPanel.tiOptionsLabel.text")); // NOI18N

        methodsCheckBox.setText(org.openide.util.NbBundle.getMessage(TypeInferenceOptionsPanel.class, "TypeInferenceOptionsPanel.methodsCheckBox.text")); // NOI18N

        rdocCheckBox.setText(org.openide.util.NbBundle.getMessage(TypeInferenceOptionsPanel.class, "TypeInferenceOptionsPanel.rdocCheckBox.text")); // NOI18N

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(rdocCheckBox)
                    .add(methodsCheckBox)
                    .add(layout.createSequentialGroup()
                        .add(tiOptionsLabel)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jSeparator1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 140, Short.MAX_VALUE)))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .addContainerGap()
                        .add(tiOptionsLabel))
                    .add(layout.createSequentialGroup()
                        .add(16, 16, 16)
                        .add(jSeparator1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(methodsCheckBox)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(rdocCheckBox)
                .addContainerGap())
        );

        methodsCheckBox.getAccessibleContext().setAccessibleDescription(org.openide.util.NbBundle.getMessage(TypeInferenceOptionsPanel.class, "AD_Options_Methods")); // NOI18N
        rdocCheckBox.getAccessibleContext().setAccessibleDescription(org.openide.util.NbBundle.getMessage(TypeInferenceOptionsPanel.class, "AD_Options_RDoc")); // NOI18N
    }// </editor-fold>//GEN-END:initComponents


    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JSeparator jSeparator1;
    private javax.swing.JCheckBox methodsCheckBox;
    private javax.swing.JCheckBox rdocCheckBox;
    private javax.swing.JLabel tiOptionsLabel;
    // End of variables declaration//GEN-END:variables

}
